%define pypi_name cryptonice

Name:       cryptonice
Version:    1.4.2.3
Release:    %mkrel 1
Summary:    Perform TLS scan of a domain
Group:      Monitoring
License:    MIT
URL:        https://pypi.org/project/cryptonice/
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Cryptonice collects data on a given domain and performs a series of tests to
check TLS configuration and supporting protocols such as HTTP2 and DNS. It
makes heavy use of open source code and libraries, including the SSLyze library
for TLS testing, JARM code for TLS fingerprinting and Wappalyzer code for
server components checks.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files
%{_bindir}/cryptonice
%{python3_sitelib}/cryptonice
%{python3_sitelib}/cryptonice-%{version}-*.egg-info


%changelog
* Sun Oct 09 2022 guillomovitch <guillomovitch> 1.4.2.3-1.mga9
+ Revision: 1895690
- new version 1.4.2.3

* Wed Mar 23 2022 umeabot <umeabot> 1.3.4-3.mga9
+ Revision: 1823342
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.3.4-2.mga9
+ Revision: 1782750
- Rebuild for python-3.10

* Sun May 23 2021 guillomovitch <guillomovitch> 1.3.4-1.mga9
+ Revision: 1726163
- imported package cryptonice

